org.apache.hive.jdbc.saml

## Interface IJdbcBrowserClientFactory

All Known Implementing Classes:
  HiveJdbcBrowserClientFactory

    public interface IJdbcBrowserClientFactory

Factory class to instantiate the `IJdbcBrowserClient`. This is mostly used for testing purposes so that test can instantiate a test browser client which can do browser interaction programmatically.

### Method Summary

All Methods Instance Methods Abstract Methods
`IJdbcBrowserClient` `create(Utils.JdbcConnectionParams connectionParams)` Create a `IJdbcBrowserClient` from a the given `Utils.JdbcConnectionParams`

### Method Detail

#### create

    IJdbcBrowserClient create(Utils.JdbcConnectionParams connectionParams)
                       throws IJdbcBrowserClient.HiveJdbcBrowserException

Create a `IJdbcBrowserClient` from a the given `Utils.JdbcConnectionParams`

Throws:
  `IJdbcBrowserClient.HiveJdbcBrowserException` - In case of any error to instantiate the browser client.